Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class ValidatePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ValidatePersistentMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public class ValidatePersistentMethod

extends AbstractDynamicPersistentMethod

A method that validates an instance of a domain class against its constraints

Since:
  07-Nov-2005
Author:
  Graeme Rocher

Field Summary
`static Pattern` | `METHOD_PATTERN`
`static String` | `METHOD_SIGNATURE`

Fields inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
`ERRORS_PROPERTY`

Constructor Summary
`ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader, GrailsApplication application)`
`ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader, GrailsApplication application, Validator validator)`

Method Summary
`protected Object` | `doInvokeInternal(Object target, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
`getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_PATTERN

    public static final Pattern METHOD_PATTERN

Constructor Detail

### ValidatePersistentMethod

    public ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                    ClassLoader classLoader,
                                    GrailsApplication application)

### ValidatePersistentMethod

    public ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                    ClassLoader classLoader,
                                    GrailsApplication application,
                                    Validator validator)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Object target,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractDynamicPersistentMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project